<template>
    <div>
        <gridScheduleSquare :haveRef="true" :borderStyle="borderSquare"/>
        <div class="box_style" :class="[boxSyleBorder]">
            <div class="grid-schedule" v-for="(time, index) in hours" :key="index" :style="`grid-area: ${(3 *    index) +1} / 1/ span 3 / 2`">
                {{time}}
            </div>
        </div>
        <gridScheduleSquare :borderStyle="borderSquare"/>
    </div>
</template>

<script>
    import gridScheduleSquare from './gridScheduleSquare.vue'

    export default {
        name: 'gridSchedule',
        props: {
            hours: {
                type: Array
            },
            boxSyleBorder: {
                type: String
            },
            borderSquare: {
                type: String
            }
        },
        components: {
            gridScheduleSquare
        }
    }
</script>